"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterpolationNode = void 0;
const Node_cjs_1 = require("./Node.cjs");
/**
 * Represents an interpolation node.
 */
class InterpolationNode extends Node_cjs_1.Node {
    /**
     * Initializes a new instance of the {@linkcode InterpolationNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression to interpolate.
     */
    constructor(source, expression) {
        super(source);
        /**
         * @inheritdoc
         */
        this.Type = "InterpolationNode" /* NodeKind.InterpolationNode */;
        this.expression = expression;
    }
    /**
     * Gets the expression to interpolate.
     */
    get Expression() {
        return this.expression;
    }
    /**
     * @inheritdoc
     */
    get PathPart() {
        return {
            type: "Interpolation" /* PathKind.Interpolation */,
            source: this.Source,
            node: this.Expression
        };
    }
}
exports.InterpolationNode = InterpolationNode;
//# sourceMappingURL=InterpolationNode.cjs.map